yhsm-validate-otp(1)

NAME
yhsm-validate-otp - Validate an OTP using a YubiHSM.

SYNOPSIS
yhsm-validate-otp mode [options]

DESCRIPTION
This tool allows simple validation of YubiKey OTP from shell scripts.

OPTIONS

-D, --device
    device file name (default: /dev/ttyACM0).

-v, --verbose
    enable verbose operation.

--debug
    enable debug printout, including all data sent to/from YubiHSM.

MODES
--otp Validate YubiKey OTP against entry in the YubiHSM internal database.

EXIT STATUS

0   YubiHSM keystore successfully unlocked

1   Failed to unlock keystore

255 Client ID not found in internal database

BUGS
Report python-pyhsm/yhsm-validate-otp bugs in

SEE ALSO
The

YubiHSMs can be obtained from